package com.gyee.runeconomy.dto.FiveLoss.exception;


import com.gyee.runeconomy.dto.result.ResultCode;
import lombok.Data;

@Data
public class CustomException extends RuntimeException {

    private Integer code;
    private String message;

    public CustomException(){}

    public CustomException(ResultCode result){
        super();
        this.code = result.getCode();
        this.message = result.getMessage();
    }

    public CustomException(Exception e){
        super();
    }
}
